Problema al tratar de instalar .tar.gz

Dudas y comentarios relacionadas con paquetes o programas específicos (obtención, uso, actualizaciones, versiones, problemas de instalación, etc.)

Moderadores: doc, Deckon

Responder
Avatar de Usuario
Barto_St
Forista Nuevo
Forista Nuevo
Mensajes: 9
Registrado: Sab Nov 07, 2009 8:00 am

Problema al tratar de instalar .tar.gz

Mensaje por Barto_St » Dom Nov 08, 2009 4:57 pm

Buenas amigos. He vuelto con una nueva duda.. jeje es que soy novato :wink:
Ok a mi pregunta. Necesito ayuda para instalar programas que vienen comprimidos, es decir, los .tar.gz, entre otros. La cosa es que estos luego que los descomprimo no tienen ningun paquete .deb ni .rpm.
Eh leido en este mismo foro, que se hace con unas instrucciones
./configure
make
make install
Las he probado y ninguna me anda, en especial la ./configure. He tomado un programa de referencia y he copiado los mensajes del terminal para que lean, analicen y me den una mano. El programa lo baje de softonic, es un arkanoid.

hice esto:
canaima:/media/disco2/Utilidades Necesarias/LINUX/Juegos/Arkanoid/flipout# dir
Changelog.txt doc-pak flipout.data music
description-pak flipout License.txt Readme.txt

canaima:/media/disco2/Utilidades Necesarias/LINUX/Juegos/Arkanoid/flipout# ./configure
bash: ./configure: No existe el fichero o el directorio

canaima:/media/disco2/Utilidades Necesarias/LINUX/Juegos/Arkanoid/flipout# ./flipout
./flipout: error while loading shared libraries: libopenal.so.1: cannot open shared object file: No such file or directory

canaima:/media/disco2/Utilidades Necesarias/LINUX/Juegos/Arkanoid/flipout# checkinstall

checkinstall 1.6.1, Copyright 2002 Felipe Eduardo Sanchez Diaz Duran
Este software es distribuído de acuerdo a la GNU GPL


*****************************************
**** Debian package creation selected ***
*****************************************

Este paquete será creado de acuerdo a estos valores:

0 - Maintainer: [ root@canaima ]
1 - Summary: [ Package created with checkinstall 1.6.1 ]
2 - Name: [ flipout ]
3 - Version: [ 20091108 ]
4 - Release: [ 1 ]
5 - License: [ GPL ]
6 - Group: [ checkinstall ]
7 - Architecture: [ i386 ]
8 - Source location: [ flipout ]
9 - Alternate source location: [ ]
10 - Requires: [ ]
11 - Provides: [ flipout ]

Introduce un número para cambiar algún dato u oprime ENTER para continuar:

Installing with make...Installing with install...

====================== Resultados de la instalación =====================
make: *** No hay ninguna regla para construir el objetivo `install'. Alto.

**** La instalación falló. Abortando la creación del paquete.

Limpiando.../usr/bin/checkinstall: line 300: [: /media/disco2/Utilidades: binary operator expected
OK

Adiós.


Bien alli esta. Analicenlo a ver. Como ven probe tal cual como dice en el foro ./configure, pero tambien probe con ./flipout, que no se que tipo de archivo es. y me dio ese mensaje. Lei en otro foro eso de checkinstall y probe tambien a ver y me dio ese mensaje.

Gracias de antemano amigos.. Espero su sabia respuesta.
Avatar de Usuario
hmg79
Forista Legendario
Forista Legendario
Mensajes: 2211
Registrado: Lun Mar 31, 2008 8:00 am

Mensaje por hmg79 » Dom Nov 08, 2009 5:28 pm

Claro pero ahi te dice claro que necesitas la libreria libopenal.so.1, tendrias que buscarla. eso si porque no probas bajando los paquetes especificos de tu distribución, para eso estan los repositorios.-

No todos los paquetes se instalan de la misma manera, por lo que veo existe un readme, entre los archivos, ahi estaria la forma de instalarlo.-

Por ejemplo si uno baja Firefox de la pagina, este no se instala se ejecuta directamente .-
Avatar de Usuario
Barto_St
Forista Nuevo
Forista Nuevo
Mensajes: 9
Registrado: Sab Nov 07, 2009 8:00 am

Re: Problema al tratar de instalar .tar.gz

Mensaje por Barto_St » Dom Nov 08, 2009 5:40 pm

Gracias amigo, si lei los readme para buscar informacion referente a eso, pero no contenia nada de eso, solo las teclas que utiliza, algunos FAQ y soluciones, no referente a mi caso. ahora bien, estoy haciendolo bien?

el ./configure que dice del foro es entonces la supocision de que halla un arhcivo con ese nombre o que? deberian especificar mas para ayudar a los mas nuevos.

dime exactamente que harias tu, teniendo esos archivos que te muestro con el comando dir. que instrucciones harias. Asi puedo tomar nota y sacar conclusiones.
Avatar de Usuario
hmg79
Forista Legendario
Forista Legendario
Mensajes: 2211
Registrado: Lun Mar 31, 2008 8:00 am

Mensaje por hmg79 » Dom Nov 08, 2009 11:28 pm

A ver te puse un ejemplo de firefox, justamente porque estoy viendo entre las cosas que colocaste que esa aplicación es de las clases que se ejecutan directamente.-
En otras palabras tu error es que te falta una libreria, primero tendrias que instalarla, para que pueda funcionar.-
Lo que haria yo, es buscar si se encuentra compilado para mi distribución, justamente para ayudar a los mas nuevos se les recomienda que instalen desde los repositorios.-

Código: Seleccionar todo

canaima:/media/disco2/Utilidades Necesarias/LINUX/Juegos/Arkanoid/flipout# dir
Changelog.txt doc-pak flipout.data music
description-pak flipout License.txt Readme.txt 
No tenes el archivo de configuración por lo tanto no se compila la aplicación sino que simplemente se ejecuta, con flipout.-


Por lo tanto lo que a vos te interesa saber porque no funciona esta acá:

Código: Seleccionar todo

canaima:/media/disco2/Utilidades Necesarias/LINUX/Juegos/Arkanoid/flipout# ./flipout
./flipout: error while loading shared libraries: libopenal.so.1: cannot open shared object file: No such file or directory
Te esta indicando que no encuentra esa librería, por lo tanto tendrías que instalarla.-
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje